import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { FormService } from './../services/form.service';
export declare class LoginComponent implements OnInit {
    private formBuilder;
    private formService;
    validationMethodUsername: Array<any>;
    validationMethodPassword: Array<any>;
    validationMsgLogin: any;
    onLoginSubmit: EventEmitter<Object>;
    loginForm: FormGroup;
    errorMessage: string;
    formErrors: {
        'username': string;
        'password': string;
    };
    constructor(formBuilder: FormBuilder, formService: FormService);
    ngOnInit(): void;
    onLogin(): void;
    private createForm();
}
