import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { FormService } from './../services/form.service';
export declare class OtpComponent implements OnInit {
    private formBuilder;
    private formService;
    validationMethodOtp: Array<any>;
    validationMsgOtp: any;
    onOtpSubmit: EventEmitter<String>;
    onOtpCancel: EventEmitter<boolean>;
    otpForm: FormGroup;
    errorMessage: string;
    formErrors: {
        'otp': string;
    };
    private alive;
    constructor(formBuilder: FormBuilder, formService: FormService);
    ngOnInit(): void;
    onCheckOtp(): void;
    onCancleOtp(): void;
    private createForm();
}
